#ifndef MISC_H
#define MISC_H

#define STRING_CHECK_SIZE  8

extern int32 RE_GetHeader(uint8 *sz_Buffer);
extern int32 FILE_GetStringAt(FILE *f_File, uint32 i_Addr, uint8 *sz_String);

extern int32 FILE_GetStringAt(FILE *f_File, uint32 i_Addr, uint8 *sz_String);
extern int32 RE_ReadString(uint8 *sz_DestString, uint32 i_Size, FILE *f_file);
extern char *RE_GetLevelStr(uint16 i_Level);

/*****************/
/* GROUP Context */
/*****************/

extern int32 RE_InitRegisters(Register *registers, uint8 b_ResetAll);
extern int32 RE_SetNextCntx(RegisterContext *context);
extern int32 RE_AddCntx(RegisterContext *context, Register *registers, uint32 i_Addr);
extern int32 RE_FreeCntx(RegisterContext *context, uint32 i_CntxIndex);
extern int32 RE_EmptyCntx(RegisterContext *context);

extern int32 RE_GetParameters(uint8 *sz_Function, 
                              Function_Params *parameters, 
                              LIST_Mapping *ParamsList);
 
extern uint8 RE_GetParamIndex(Function_Params *parameters, uint16 i_Offset);

extern uint8 RE_ParamIsMessage(Function_Params *parameters, uint8 i_Index);
/*************/
/* END GROUP */
/*************/

#endif
